package com.yihu.wlyy.statistics.model.patient;

import com.yihu.wlyy.statistics.model.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 患者疾病。
 *
 * @author lyr
 */
@Entity
@Table(name = "wlyy_patient_disease")
public class PatientDisease extends IdEntity implements Serializable {

    private String patient;         // 患者
    private String disease;         // 疾病代码
    private String diseaseName;     // 疾病名称
    private String del;              // 是否有效 1有效 0无效
    private String signType;        // 签约类型 1:三师 2:家庭
    private Date czrq;              // 操作日期

    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getDisease() {
        return disease;
    }
    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getDiseaseName() {
        return diseaseName;
    }
    public void setDiseaseName(String diseaseName) {
        this.diseaseName = diseaseName;
    }

    public String getDel() {
        return del;
    }
    public void setDel(String del) {
        this.del = del;
    }

    public String getSignType() {
        return signType;
    }
    public void setSignType(String signType) {
        this.signType = signType;
    }

    public Date getCzrq() {
        return czrq;
    }
    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
